From 86839ca6e7a87fdb5c3de5e56cf4f3d5c3403d89 Mon Sep 17 00:00:00 2001
From: Florian Franzmann <bwlf@bandrate.org>
Date: Mon, 10 Feb 2020 12:13:52 +0100
Subject: [PATCH] fix install destinations

---
 Makefile | 19 ++++++++-----------
 1 file changed, 8 insertions(+), 11 deletions(-)

diff --git a/Makefile b/Makefile
index f09f04c..46f2f58 100644
--- a/Makefile
+++ b/Makefile
@@ -10,7 +10,7 @@ DEBUG:=#XXX -g -D_DEBUG ###-pg -Wpedantic ## -pg #-fprofile-arcs
 UTF8_SUPPORT:=yes
 DESTDIR=
 PREFIX=/usr/local
-CONFIG_FILE=$(DESTDIR)$(PREFIX)/etc/multitail.conf
+CONFIG_FILE=$(DESTDIR)/etc/multitail.conf
 
 CC?=gcc
 CFLAGS+=-Wall -Wno-unused-parameter -funsigned-char -O3
@@ -50,15 +50,12 @@ install: multitail
 	cp multitail $(DESTDIR)$(PREFIX)/bin
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
 	cp multitail.1 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
-	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
-	cp *.txt INSTALL manual*.html $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
-	#
-	### COPIED multitail.conf.new, YOU NEED TO REPLACE THE multitail.conf
-	### YOURSELF WITH THE NEW FILE
-	#
-	mkdir -p $(DESTDIR)$(PREFIX)/etc/multitail/
-	cp multitail.conf $(CONFIG_FILE).new
-	cp conversion-scripts/* $(DESTDIR)$(PREFIX)/etc/multitail/
+	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/multitail
+	cp *.txt INSTALL manual*.html $(DESTDIR)$(PREFIX)/share/doc/multitail
+	mkdir -p $(DESTDIR)/etc/multitail/
+	cp multitail.conf $(CONFIG_FILE)
+	mkdir -p $(DESTDIR)$(PREFIX)/share/doc/multitail
+	cp conversion-scripts/* $(DESTDIR)$(PREFIX)/share/doc/multitail/
 #rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
 #gzip -9 $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1
 	#
@@ -76,7 +73,7 @@ uninstall: clean
 	rm -f $(DESTDIR)$(PREFIX)/bin/multitail
 	rm -f $(DESTDIR)$(PREFIX)/share/man/man1/multitail.1.gz
 #	rm -f $(CONFIG_FILE)
-	rm -rf $(DESTDIR)$(PREFIX)/share/doc/multitail-$(VERSION)
+	rm -rf $(DESTDIR)$(PREFIX)/share/doc/multitail
 
 clean:
 	rm -f $(OBJS) multitail core gmon.out *.da ccmultitail
-- 
2.25.0

